/******************************************************************************
 * Copyright (c) 2016 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/

package oracle.eclipse.tools.common.upgrade;

import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;

public abstract class AbstractProjectUpgradeParticipant

    implements IProjectUpgradeParticipant
    
{
    public Set<Action> prepare( final IProject project )
    
        throws CoreException
        
    {
        final Set<Action> actions;
        
        if( check( project ) )
        {
            actions = new HashSet<Action>();
            prepare( project, actions );
        }
        else
        {
            actions = Collections.emptySet();
        }
        
        return actions;
    }
    
    protected void prepare( final IProject project,
                            final Set<Action> actions )
    
        throws CoreException
    
    {
        // The default implementation is to add no actions.
    }

}
