/******************************************************************************
 * Copyright (c) 2016 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/

package oracle.eclipse.tools.common.upgrade;

import oracle.eclipse.tools.common.upgrade.internal.UpgradeFrameworkImpl;

import org.eclipse.core.resources.IProject;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

public final class UpgradeFramework
{
    private static UpgradeFrameworkImpl impl = null;
    
    public static IProjectUpgradeLog getProjectUpgradeLog( final IProject project )
    {
        initialize();
        return impl.getProjectUpgradeLog( project );
    }
    
    public static synchronized void initialize()
    {
        if( impl == null )
        {
            impl = new UpgradeFrameworkImpl();
            impl.initialize();
        }
    }
    
}
