/******************************************************************************
 * Copyright (c) 2016 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/

package oracle.eclipse.tools.common.upgrade.internal;

import org.eclipse.core.runtime.Platform;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

public final class Tracing
{
    public static enum Flag
    {
        INITIALIZATION( UpgradePlugin.SYMBOLIC_NAME + "/initialization" ), //$NON-NLS-1$
        WORKSPACE_UPGRADE( UpgradePlugin.SYMBOLIC_NAME + "/workspace-upgrade" ); //$NON-NLS-1$
        
        private final String debugOptionId;
        
        private Flag( final String debugOptionId )
        {
            this.debugOptionId = debugOptionId;
        }
        
        public String getDebugOptionId()
        {
            return this.debugOptionId;
        }
    }
    
    public static boolean isTracingEnabled( final Flag flag )
    {
        final String setting = Platform.getDebugOption( flag.getDebugOptionId() );
        return ( setting != null && setting.equals( Boolean.TRUE.toString() ) );
    }
    
    public static void output( final String message )
    {
        System.out.println( message );
    }
    
}
