/******************************************************************************
 * Copyright (c) 2016 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/

package oracle.eclipse.tools.common.upgrade.internal;

import org.eclipse.core.runtime.ILog;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Platform;
import org.eclipse.core.runtime.Status;
import org.osgi.framework.Bundle;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

public final class UpgradePlugin 
{
    public static final String SYMBOLIC_NAME = "oracle.eclipse.tools.common.upgrade";
    public static final Bundle BUNDLE = Platform.getBundle( SYMBOLIC_NAME );
    private static final ILog LOG = Platform.getLog( BUNDLE );
    
    public static final String PROJECT_UPGRADE_PARTICIPANTS_EXTENSION_POINT_ID
        = "projectUpgradeParticipants"; //$NON-NLS-1$
    
    public static final String WORKSPACE_UPGRADE_PARTICIPANTS_EXTENSION_POINT_ID
        = "workspaceUpgradeParticipants"; //$NON-NLS-1$
    
    public static final String UPGRADE_WIZARD_FIRST_PAGE_HELP_CONTEXT_ID
        = SYMBOLIC_NAME + ".firstPage"; //$NON-NLS-1$

    public static void logError( final String message )
    {
        log( new Status( IStatus.ERROR, SYMBOLIC_NAME, 0, message, null ) );
    }

    public static void log( final Exception e )
    {
        log( new Status( IStatus.ERROR, SYMBOLIC_NAME, 0, e.getMessage() + "", e ) );
    }

    private static void log( final IStatus status )
    {
        LOG.log( status );
    }
}
