package oracle.eclipse.tools.glassfish.ui.internal;

import org.eclipse.core.runtime.IAdapterFactory;
import org.eclipse.wst.common.project.facet.core.runtime.IRuntimeComponent;
import org.eclipse.wst.common.project.facet.ui.IRuntimeComponentLabelProvider;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

public final class GlassFishRuntimeComponentLabelProviderFactory implements IAdapterFactory
{
	private static final Class<?>[] ADAPTER_TYPES = { IRuntimeComponentLabelProvider.class };
	
	public <T> T getAdapter( final Object adaptable, final Class<T> adapterType )
	{
		final IRuntimeComponent rc = (IRuntimeComponent) adaptable;
		return adapterType.cast( new GlassFishRuntimeComponentLabelProvider( rc ) );
	}

	public Class<?>[] getAdapterList()
	{
		return ADAPTER_TYPES;
	}
	
}