package oracle.eclipse.tools.glassfish;

import org.glassfish.tools.ide.TaskEvent;
import org.glassfish.tools.ide.TaskState;
import org.glassfish.tools.ide.TaskStateListener;

/**
 * This listener stores the last task event that occurred
 * during command execution. It's return value is well defined only
 * after corresponding Future.get method returned. It can
 * also return null if no event was observed or execution timed
 * out.
 * Do not put the same instance into two exec calls that run
 * concurrently, it is not thread safe.
 * 
 * @author Peter Benedikovic
 *
 */
public class LastTaskEventListener implements TaskStateListener {

	private TaskEvent lastEvent = null;
	
	@Override
	public void operationStateChanged(TaskState newState, TaskEvent event,
			String... args) {
		lastEvent = event;
	}
	
	public TaskEvent getLastEvent() {
		return lastEvent;
	}

}
