package oracle.eclipse.tools.glassfish.exceptions;

public class GlassfishLaunchException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3931653934641477601L;
	
	private Process gfProcess;

	public GlassfishLaunchException() {
		super();
	}

	public GlassfishLaunchException(String message, Throwable cause) {
		this(message, cause, null);
	}
	
	public GlassfishLaunchException(String message, Process gfProcess) {
		this(message, null, gfProcess);
	}
	
	public GlassfishLaunchException(String message, Throwable cause, Process gfProcess) {
		super(message, cause);
		this.gfProcess = gfProcess;
	}

	public GlassfishLaunchException(String message) {
		this(message, null, null);
	}

	public GlassfishLaunchException(Throwable cause) {
		this(null, cause, null);
	}
	
	public Process getStartedProcess() {
		return gfProcess;
	}

}
