package oracle.eclipse.tools.glassfish.facets;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.wst.common.componentcore.ComponentCore;
import org.eclipse.wst.common.componentcore.resources.IVirtualComponent;
import org.eclipse.wst.common.project.facet.core.IDelegate;
import org.eclipse.wst.common.project.facet.core.IProjectFacetVersion;

import oracle.eclipse.tools.glassfish.facets.internal.GlassfishDeploymentDescriptorFactory;

public class GlassfishWebFacetInstallDelegate implements IDelegate {

	@Override
	public void execute(IProject project, IProjectFacetVersion fv,
			Object config, IProgressMonitor monitor) throws CoreException {
		IGlassfishWebDeploymentDescriptor webDescriptor = GlassfishDeploymentDescriptorFactory
				.getWebDeploymentDescriptor(project);

		if (webDescriptor != null) {
			IVirtualComponent comp = ComponentCore.createComponent(project);

			String contextRoot = (String) comp.getMetaProperties().get(
					"context-root");
			webDescriptor.setContext("/" + contextRoot);

			webDescriptor.store(monitor);
		}
	}

}
