package oracle.eclipse.tools.glassfish.facets.internal;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;

import oracle.eclipse.tools.glassfish.facets.IGlassfishDeploymentDescriptor;

abstract class AbstractGlassfishDeploymentDescriptor implements
		IGlassfishDeploymentDescriptor {

	/**
	 * Created new deployment descriptor if it's not already there.
	 * 
	 */
	@Override
	public final void store(IProgressMonitor monitor) throws CoreException {
		if (isPossibleToCreate()) {
			prepareDescriptor();
			save();
		}
	}
	
	protected abstract void save();
	
	protected abstract void prepareDescriptor();
	
	protected abstract boolean isPossibleToCreate();

}
