package oracle.eclipse.tools.glassfish.facets.models;

import org.eclipse.sapphire.Element;
import org.eclipse.sapphire.ElementType;
import org.eclipse.sapphire.Value;
import org.eclipse.sapphire.ValueProperty;
import org.eclipse.sapphire.modeling.annotations.Label;
import org.eclipse.sapphire.modeling.xml.annotations.CustomXmlRootBinding;
import org.eclipse.sapphire.modeling.xml.annotations.XmlBinding;

import oracle.eclipse.tools.glassfish.facets.internal.GlassfishDescriptorRootController;

@CustomXmlRootBinding(GlassfishDescriptorRootController.class)

public interface IGlassfishDeploymentDescriptorModel extends Element {

    ElementType TYPE = new ElementType( IGlassfishDeploymentDescriptorModel.class );
	
	@Label( standard = "context root" )
    @XmlBinding( path = "context-root" )

	ValueProperty PROP_CONTEXT_ROOT = new ValueProperty( TYPE, "ContextRoot" ); //$NON-NLS-1$;
    
    Value<String> getContextRoot();
    void setContextRoot( String contextRoot );
    
    
    @Label( standard = "jsp config" )
    @XmlBinding( path = "jsp-config" )
	ValueProperty PROP_JSP_CONFIG = new ValueProperty( TYPE, "JspConfig" ); //$NON-NLS-1$;
    
    Value<String> getJspConfig();
    void setJspConfig( String jspConfig );
}
