package oracle.eclipse.tools.glassfish.handlers;

import java.net.URI;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.browser.IWebBrowser;
import org.eclipse.ui.browser.IWorkbenchBrowserSupport;
import org.eclipse.wst.server.core.IServer;

import oracle.eclipse.tools.glassfish.GlassFishServer;
import oracle.eclipse.tools.glassfish.GlassFishServerBehaviour;
import oracle.eclipse.tools.glassfish.GlassfishToolsPlugin;

public class ViewAdminConsoleHandler extends AbstractGlassfishSelectionHandler {

	@Override
	public void processSelection(IStructuredSelection selection) {
		IServer server = (IServer) selection.getFirstElement();
		if (server != null){
			GlassFishServerBehaviour sab = (GlassFishServerBehaviour)server.loadAdapter(
					GlassFishServerBehaviour.class, null);
			GlassFishServer sunserver = sab.getGlassfishServerDelegate();
			try {
				//showPageInDefaultBrowser(AdminURLHelper.getURL("", server));
				//URIHelper.showURI(URIHelper.getServerAdminURI(sunserver));
				IWorkbenchBrowserSupport browserSupport = PlatformUI
						.getWorkbench().getBrowserSupport();
				IWebBrowser browser = browserSupport
						.createBrowser(
								IWorkbenchBrowserSupport.LOCATION_BAR
										| IWorkbenchBrowserSupport.NAVIGATION_BAR,
								null, null, null);
				URI uri = URIHelper.getServerAdminURI(sunserver);
				browser.openURL(uri.toURL());
				
			} catch (Exception e) {
		           GlassfishToolsPlugin.logMessage("Error opening browser: "+e.getMessage());
			}
	    }
		
	}

}
