package oracle.eclipse.tools.glassfish.handlers;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.wst.server.core.IServer;
import org.glassfish.tools.ide.server.FetchLogPiped;

import oracle.eclipse.tools.glassfish.GlassFishServer;
import oracle.eclipse.tools.glassfish.GlassfishToolsPlugin;
import oracle.eclipse.tools.glassfish.ServerStatus;
import oracle.eclipse.tools.glassfish.log.GlassfishConsoleManager;
import oracle.eclipse.tools.glassfish.log.IGlassFishConsole;

public class ViewLogHandler extends AbstractGlassfishSelectionHandler {

	@Override
	public void processSelection(IStructuredSelection selection) {
		IServer server = (IServer) selection.getFirstElement();
		try {
			GlassFishServer serverAdapter = (GlassFishServer) server.loadAdapter(
					GlassFishServer.class, null);
						
			if (serverAdapter.isRemote()) {
				if (!serverAdapter.getServerBehaviourAdapter().getServerStatus(true)
						.equals(ServerStatus.RUNNING_DOMAIN_MATCHING)) {
					showMessageDialog();
					return;
				} else {
					GlassfishConsoleManager.removeServerLogFileConsole(serverAdapter);
				}
			}
			
			IGlassFishConsole console = GlassfishConsoleManager.getServerLogFileConsole(serverAdapter);
			GlassfishConsoleManager.showConsole(console);
			if (!console.isLogging())
				console.startLogging(FetchLogPiped.create(serverAdapter, false));

		} catch (Exception e) {
			GlassfishToolsPlugin.logMessage("Error opening log: " + e.getMessage());

		}
	}

}
