package oracle.eclipse.tools.glassfish.internal;

import java.io.File;

import org.eclipse.sapphire.modeling.Path;
import org.eclipse.sapphire.modeling.Status;
import org.eclipse.sapphire.services.ValidationService;

import oracle.eclipse.tools.glassfish.ICreateGlassfishDomainOp;

public class DomainNameValidationService extends ValidationService
{
    @Override
    protected Status compute() {
		ICreateGlassfishDomainOp op = context( ICreateGlassfishDomainOp.class );
		Path gfInstallPath = op.getLocation().content();
		if(gfInstallPath!=null && gfInstallPath.toFile().exists()){ 
			String name = op.getName().content();
			if( name!=null && name.trim().length()>0 ){
				
				if( name.indexOf(' ')>0){
		    		return Status.createErrorStatus( "Invalid value for domain name." ); //$NON-NLS-1$
				}
				
				File domainRoot = new File(gfInstallPath.toFile(), "domains");
		    	File domainsDir = new File( domainRoot, name);
		    	if( domainsDir.exists() ){
		    		return Status.createErrorStatus( "A domain already exists at the specified location." ); //$NON-NLS-1$
		    	}
		    	return Status.createOkStatus();
			}
		}
		return Status.createOkStatus();
    }	

}
